{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":483,"path":"api-reference/rest-apis/case-api.md","title":"Case API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Case API\n\nThe Case API provides endpoints that enable you to retrieve and update Customer Service Management \\(CSM\\) case records.\n\nIn addition, you can generate new social media profile records when creating a case.\n\nThe Case API requires the Customer Service plugin \\(com.sn\\_customerservice\\) and is provided within the sn\\_customerservice namespace.\n\nUsers must have the csm\\_ws\\_integration role for full API access. External users with the sn\\_customerservice.customer or sn\\_customerservice.consumer roles can also access the endpoints.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Case - GET /sn\\_customerservice/case/\\{id\\}/activities\n\nRetrieves the activity stream for a specified Customer Service Management \\(CSM\\) case.\n\nUse this endpoint to retrieve all entries from the activity stream for a specified record from the Case \\[sn\\_customerservice\\_case\\] table.\n\nTo use this endpoint, users must have the csm\\_ws\\_integration, sn\\_customerservice.customer, or sn\\_customerservice.consumer role.\n\n**Note:** You can reference all sysparm query parameters using either their full name or their shortened name \\(without the **sysparm\\_** prefix\\). For example, for **sysparm\\_limit** you can also use **limit**.\n\n### URL format\n\nVersioned URL: `/api/sn_customerservice/{api_version}/case/{id}/activities`\n\nDefault URL: `/api/sn_customerservice/case/{id}/activities`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id or case number of the case to retrieve. Results will be unpredictable if a specified case number is shared by two or more cases.Data type: String\n\nTable: Case \\[sn\\_customerservice\\_case\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_activity\\_type\n\n</td><td id=\"sysparm_activity_type-entry-case\">\n\nFilters the type of activities to return from the activity stream. The **entries.element** parameter contains the activity type for each activity. For example:\n\n-   `sysparm_activity_type=attachment`\n-   `sysparm_activity_type=work_notes`\n-   `sysparm_activity_type=attachment,work_notes`\n-   `sysparm_ activity_type=attachment,work_notes,comments`\n\nData type: String\n\nDefault: Returns all types of activity.\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number of records to return. Unusually large **sysparm\\_limit** values can impact system performance. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. Data type: Number\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td>\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDo not pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table><table class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nLink\n\n</td><td>\n\nREST response data can be split into multiple result sets. Where applicable, the response header contains different links for the first set, previous set, next set, and the last set of records.For example:\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel=\"next\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel=\"prev\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=0&sysparm_limit=1000>;rel=\"first\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=2780&sysparm_limit=1000>;rel=\"last\"`\n\n</td></tr><tr><td id=\"x-total-count-response-entry-RESTAPI\">\n\nX-Total-Count\n\n</td><td>\n\nResponse header showing the total number of records matching the request when the **sysparm\\_limit** or **sysparm\\_offset** query parameters are specified.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal Server Error. A logic error on the server-side code occurred.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ndisplay\\_value\n\n</td><td>\n\nCase number for the CSM case.Data type: String\n\n</td></tr><tr><td>\n\nentries\n\n</td><td>\n\nList that represents activity stream entries from the CSM case.Data type: Array of Objects\n\n```\n\"entries\": [\n  {\n    \"attachment\": {Object},\n    \"contains_code\": Boolean,\n    \"element\": \"String\",\n    \"field_label\": \"String\",\n    \"initials\": \"String\",\n    \"login_name\": \"String\",\n    \"name\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_created_on_adjusted\": \"String\",\n    \"sys_id\": \"String\",\n    \"user_sys_id\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nentries.attachment\n\n</td><td>\n\nDescription of a file attached to the CSM case in the activity stream entry.Data type: Object\n\n```\n\"attachment\": {\n  \"average_image_color\": \"String\",\n  \"content_type\": \"String\",\n  \"file_name\": \"String\",\n  \"image_height\": Number,\n  \"image_path\": \"String\",\n  \"image_width\": Number,\n  \"path\": \"String\",\n  \"size\": \"String\",\n  \"size_bytes\": Number,\n  \"state\": \"String\",\n  \"sys_id\": \"String\",\n  \"thumbnail_path\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nentries.attachment.average\\_image\\_color\n\n</td><td>\n\nHexadecimal representation of average color for image attachment.Data type: String\n\n</td></tr><tr><td>\n\nentries.attachment.content\\_type\n\n</td><td>\n\nMIME type for the attachment.Examples include:\n\n-   application/pdf\n-   image/jpeg\n-   message/rfc822\n\nData type: String\n\n</td></tr><tr><td>\n\nentries.attachment.file\\_name\n\n</td><td>\n\nFile name for the attachment.Data type: String\n\n</td></tr><tr><td>\n\nentries.attachment.image\\_height\n\n</td><td>\n\nHeight of image attachment in pixels.Data type: Number\n\n</td></tr><tr><td>\n\nentries.attachment.image\\_path\n\n</td><td>\n\nDirect download link for image attachment.Data type: String\n\n</td></tr><tr><td>\n\nentries.attachment.image\\_width\n\n</td><td>\n\nWidth of image attachment in pixels.Data type: Number\n\n</td></tr><tr><td>\n\nentries.attachment.path\n\n</td><td>\n\nDirect link to the attachment.Data type: String\n\n</td></tr><tr><td>\n\nentries.attachment.size\n\n</td><td>\n\nSize of the attachment.Examples:\n\n-   157.7 KB\n-   2.2 MB\n\nData type: String\n\n</td></tr><tr><td>\n\nentries.attachment.size\\_bytes\n\n</td><td>\n\nSize of the attachment.Data type: Number\n\nUnit: Bytes\n\n</td></tr><tr><td>\n\nentries.attachment.state\n\n</td><td>\n\nState of the attachment record.Possible values:\n\n-   Available\n-   Available Conditionally\n-   Not available\n-   Pending\n\nData type: String\n\nTable: Attachment \\[sys\\_attachment\\]\n\n</td></tr><tr><td>\n\nentries.attachment.sys\\_id\n\n</td><td>\n\nSys\\_id for the attachment.Data type: String\n\nTable: Attachment \\[sys\\_attachment\\]\n\n</td></tr><tr><td>\n\nentries.attachment.thumbnail\\_path\n\n</td><td>\n\nDirect download link for thumbnail of image attachment.Data type: String\n\n</td></tr><tr><td>\n\nentries.contains\\_code\n\n</td><td>\n\nFlag that indicates whether the activity stream entry contains code or not.Possible values:\n\n-   true: The activity stream entry contains code.\n-   false: The activity stream entry doesn't contain code.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nentries.element\n\n</td><td>\n\nName for the journal field associated with the activity stream entry.Data type: String\n\nTable: Dictionary Entries \\[sys\\_dictionary\\]\n\n</td></tr><tr><td>\n\nentries.field\\_label\n\n</td><td>\n\nDisplay name for the journal field associated with the activity stream entry.Data type: String\n\n</td></tr><tr><td>\n\nentries.initials\n\n</td><td>\n\nInitials of the user who created the activity stream entry.Data type: String\n\n</td></tr><tr><td>\n\nentries.login\\_name\n\n</td><td>\n\nFull user name for the user who created the activity stream entry.Data type: String\n\n</td></tr><tr><td>\n\nentries.name\n\n</td><td>\n\nFull user name for the user who created the activity stream entry.Data type: String\n\n</td></tr><tr><td>\n\nentries.sys\\_created\\_on\n\n</td><td>\n\nDate and time of creation for the activity stream entry, expressed in GMT timezone.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nentries.sys\\_created\\_on\\_adjusted\n\n</td><td>\n\nDate and time of creation for the activity stream entry, expressed in logged-in user timezone.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nentries.sys\\_id\n\n</td><td>\n\nSys\\_id for the activity stream entry.Data type: String\n\n</td></tr><tr><td>\n\nentries.user\\_sys\\_id\n\n</td><td>\n\nSys\\_id for user who created the activity stream entry. Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nentries.value\n\n</td><td>\n\nValue for this journal entry.Data type: String\n\n</td></tr><tr><td>\n\njournal\\_fields\n\n</td><td>\n\nList of journal fields present in the Case table from which activity entries are drawn.Data type: Array of Objects\n\n```\n\"journal_fields\": [\n  {\n    \"can read\": Boolean,\n    \"can_write\": Boolean,\n    \"color\": \"String\",\n    \"label\": \"String\",\n    \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\njournal\\_fields.can\\_read\n\n</td><td>\n\nFlag that indicates whether the logged-in user can read this journal field or not.Possible values:\n\n-   true: The logged-in user can read this journal field.\n-   false: The logged-in user can't read this journal field.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\njournal\\_fields.can\\_write\n\n</td><td>\n\nFlag that indicates whether the logged-in user can write to the journal field or not.Possible values:\n\n-   true: The logged-in user can write to this journal field.\n-   false: The logged-in user can't write to this journal field.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\njournal\\_fields.color\n\n</td><td>\n\nColor that represents the journal field in case activity stream on ServiceNow AI Platform.Data type: String\n\n</td></tr><tr><td>\n\njournal\\_fields.label\n\n</td><td>\n\nDisplay name for the journal field.Data type: String\n\n</td></tr><tr><td>\n\njournal\\_fields.name\n\n</td><td>\n\nName for the journal field.Data type: String\n\nTable: Dictionary Entries \\[sys\\_dictionary\\]\n\n</td></tr><tr><td>\n\nlabel\n\n</td><td>\n\nDisplay label for the table in which the CSM case record appears.Possible value: Case\n\nData type: String\n\n</td></tr><tr><td>\n\nnumber\n\n</td><td>\n\nCase number for the CSM case.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td>\n\nShort description for the CSM case.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td>\n\nDate and time of case creation, expressed in GMT timezone.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\\_adjusted\n\n</td><td>\n\nDate and time of case creation, expressed in logged-in user timezone.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id for the CSM case.Data type: String\n\nTable: Case \\[sn\\_customerservice\\_case\\]\n\n</td></tr><tr><td>\n\ntable\n\n</td><td>\n\nName of the table in which the CSM case appears.Possible value: sn\\_customerservice\\_case\n\nData type: String\n\n</td></tr><tr><td>\n\nthumbnail\\_path\n\n</td><td>\n\nDirect link to get thumbnail for attachment \\(only for attachment of type images.\\)Data type: String\n\n</td></tr><tr><td>\n\nuser\\_full\\_name\n\n</td><td>\n\nFull name for logged-in user.Data type: String\n\n</td></tr><tr><td>\n\nuser\\_login\n\n</td><td>\n\nUser ID for logged-in user.Data type: String\n\n</td></tr><tr><td>\n\nuser\\_sys\\_id\n\n</td><td>\n\nSys\\_id for logged-in user.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr></tbody>\n</table>### cURL request\n\nRetrieve the complete activity stream for a CSM case by sys\\_id.\n\n```\ncurl --request GET 'https://instance.servicenow.com/api/sn_customerservice/case/f352dc9387632300d6b0a7da0acb0b60/activities'  \\\n--request GET \\\n--header 'Accept: application/json' \\\n--user 'username':'password'\n```\n\nThe response shows a single activity stream entry for the specified case, an **Additional comments** journal entry submitted by the agent.\n\n```\n{\n  \"result\": {\n    \"display_value\": \"CS0001401\",\n    \"sys_id\": \"f352dc9387632300d6b0a7da0acb0b60\",\n    \"short_description\": \"Laptop is not working properly\",\n    \"number\": \"CS0001401\",\n    \"entries\": [\n      {\n        \"sys_created_on_adjusted\": \"2020-05-04 14:15:44\",\n        \"sys_id\": \"600b6e4adb241010d045232d1396196a\",\n        \"login_name\": \"John Jason\",\n        \"user_sys_id\": \"da419c1fc312310015519f2974d3ae15\",\n        \"initials\": \"JJ\",\n        \"sys_created_on\": \"2020-05-04 21:15:44\",\n        \"contains_code\": \"false\",\n        \"field_label\": \"Additional comments\",\n        \"name\": \"John Jason\",\n        \"value\": \"Hi, Alex. Can you please send me a photo of the label on your laptop so we can send you the correct replacement?\",\n        \"element\": \"comments\"\n      }\n    ],\n    \"user_sys_id\": \"b1e0989f87232300d6b0a7da0acb0beb\",\n    \"user_full_name\": \"Mark Johnson\",\n    \"user_login\": \"admin\",\n    \"label\": \"Case\",\n    \"table\": \"sn_customerservice_case\",\n    \"journal_fields\": [\n      {\n        \"can_read\": true,\n        \"color\": \"transparent\",\n        \"can_write\": true,\n        \"name\": \"comments\",\n        \"label\": \"Additional comments\"\n      },\n      {\n        \"can_read\": true,\n        \"color\": \"gold\",\n        \"can_write\": true,\n        \"name\": \"work_notes\",\n        \"label\": \"Work notes\"\n      }\n    ],\n    \"sys_created_on\": \"2019-02-15 21:57:04\",\n    \"sys_created_on_adjusted\": \"2019-02-15 13:57:04\"\n  }\n}\n\n```\n\n## Case - GET /sn\\_customerservice/case/field\\_values/\\{field\\_name\\}\n\nRetrieves the list of possible field values for a choice or reference field in the Case \\[sn\\_customerservice\\_case\\] table.\n\nTo use this endpoint, users must have the csm\\_ws\\_integration, sn\\_customerservice.customer, or sn\\_customerservice.consumer role.\n\nUse this endpoint to populate field value lists in case creation forms.\n\nWhen you request values for a reference field, any reference qualifiers defined for the requested field in the Dictionary Entry \\[sys\\_dictionary\\] table are applied. For more information on reference qualifiers, see [Reference qualifiers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-administration/c_ReferenceQualifiers.md).\n\nYou can use the **sysparm\\_ref\\_qual\\_input** query parameter to specify field values to use when evaluating JavaScript reference qualifiers. For an example, see the query parameter listing below.\n\nWhen you request values for a choice field that is dependent on another field, you can use the **sysparm\\_dependent\\_value** query parameter to specify a value for the dependency parent field and restrict the returned field values accordingly. For more details on dependent fields, see [Make a field dependent](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-administration/t_MakingAFieldDependent.md).\n\n**Note:** You can reference all sysparm query parameters using either their full name or their shortened name \\(without the **sysparm\\_** prefix\\). For example, for **sysparm\\_limit** you can also use **limit**.\n\n### URL format\n\nVersioned URL: `/api/sn_customerservice/{api_version}/case/field_values/{field_name}`\n\nDefault URL: `/api/sn_customerservice/case/field_values/{field_name}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nfield\\_name\n\n</td><td>\n\nName of a choice or reference field.Data type: String\n\nTable: Case \\[sn\\_customerservice\\_case\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_dependent\\_value\n\n</td><td id=\"case-sysparm-dependent-value-entry\">\n\nValue to select in the Case \\[sn\\_customerservice\\_case\\] table choice field that the requested field is dependent on. Use only when requesting a choice field that is dependent on another field.As an example, suppose you create a custom **Channel Instance** choice field in the Case table which is dependent on the default **Channel** choice field. When **sysparm\\_dependent\\_value** is not specified, this endpoint returns the full set of values for your custom field. To instead return only the subset of custom field values that are available when the Phone CSM channel is chosen from the **Channel** field, specify:\n\n`sysparm_dependent_value=Phone`\n\nData type: String\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number of records to return. Unusually large **sysparm\\_limit** values can impact system performance. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. Data type: Number\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td>\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDo not pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_reference\\_field\\_columns\n\n</td><td id=\"sysparm_reference_field_columns-entry-case\">\n\nComma-separated list of column names, from the table of the specified reference field, to return in the response. For example, if Contact is the specified reference field, you would include a list of all the fields in the Contact table to return.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_query\n\n</td><td>\n\nEncoded query used to filter the result set. Queries defined using this parameter are appended to any encoded queries produced by reference qualifiers.For example:\n\n`(sysparm_query=caller_id=javascript:gs.getUserID()^active=true)`\n\nThe encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in **sysparm\\_query**. For example, `sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory` filters all active records and orders the results in ascending order by number first, and then in descending order by category.\n\nIf part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property **glide.invalid\\_query.returns\\_no\\_rows**. Set this property to true to return no rows on an invalid query.\n\n**Note:** The **glide.invalid\\_query.returns\\_no\\_rows** property controls the behavior of all queries across the instance, such as in lists, scripts \\(GlideRecord.query\\(\\)\\), and web service APIs.\n\nData type: String\n\n</td></tr><tr><td>\n\nsysparm\\_ref\\_qual\\_input\n\n</td><td id=\"case-sysparm-ref-qual-input-entry\">\n\nEncoded set of field values representing a current object to pass to reference qualifiers that use JavaScript functions. Use only when requesting a reference field.For example, when requesting values from the **Asset** field, you can set this query parameter value to return only assets belonging to the specified product instead of assets belonging to the product associated with the specified case:\n\n`sysparm_ref_qual_input=product=5d1b7bb053401010dc25ddeeff7b129d`\n\nData type: String\n\nSyntax: `{field1}={value1}^{field2}={value2}[…]`\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table><table class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nLink\n\n</td><td>\n\nREST response data can be split into multiple result sets. Where applicable, the response header contains different links for the first set, previous set, next set, and the last set of records.For example:\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel=\"next\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel=\"prev\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=0&sysparm_limit=1000>;rel=\"first\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=2780&sysparm_limit=1000>;rel=\"last\"`\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_m3x_ym1_bmb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nList of values for the requested field.Data type: Array of Objects\n\n```\n\"result\": [\n  {\n    \"label\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.label\n\n</td><td>\n\nDisplay value for the field value.Data type: String\n\n</td></tr><tr><td>\n\nresult.value\n\n</td><td>\n\nField value.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nRetrieve values for the contact reference field from all cases:\n\n```\ncurl 'https://instance.servicenow.com/api/sn_customerservice/case/field_values/contact' \\\n--request GET \\\n--header 'Accept: application/json' \\\n--user 'username':'password'\n```\n\nThe response displays labels and values for matching contacts:\n\n```\n{\n  \"result\": [\n    {\n      \"label\": \"Amy Pascal\",\n      \"value\": \"268e22b0d7300200e5982cf65e6103d3\"\n    },\n    {\n      \"label\": \"Marta Hoch\",\n      \"value\": \"8c974d254fb81200025ba3618110c707\"\n    },\n    {\n      \"label\": \"Charlie Brown\",\n      \"value\": \"078d399dd7600200e5982cf65e6103a2\"\n    },\n    {\n      \"label\": \"Alex Linde\",\n      \"value\": \"60beb5e7d7600200e5982cf65e6103ad\"\n    },\n    {\n      \"label\": \"Crissy Stark\",\n      \"value\": \"00189b324f1e0200c0adfe618110c76d\"\n    },\n    {\n      \"label\": \"Denis Koch\",\n      \"value\": \"07e6fa386f0331003b3c498f5d3ee4a1\"\n    }\n  ]\n}\n```\n\n## Case - GET /sn\\_customerservice/case/\\{id\\}/field\\_values/\\{field\\_name\\}\n\nRetrieves the list of possible field values for a choice or reference field for a specified record in the Case \\[sn\\_customerservice\\_case\\] table.\n\nTo use this endpoint, users must have the csm\\_ws\\_integration, sn\\_customerservice.customer, or sn\\_customerservice.consumer role.\n\nUse this endpoint to populate field value lists in case update forms.\n\nWhen you request values for a reference field, any reference qualifiers defined for the requested field in the Dictionary Entry \\[sys\\_dictionary\\] table are applied, using values from the specified case record. For more information on reference qualifiers, see [Reference qualifiers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-administration/c_ReferenceQualifiers.md).\n\nYou can use the **sysparm\\_ref\\_qual\\_input** query parameter to override values from the specified case when evaluating JavaScript reference qualifiers. For an example, see the query parameter listing below.\n\nWhen you request values for a choice field that is dependent on another field, this endpoint limits returned field values based on the dependency parent field value selected in the specified case record. For more details on dependent fields, see [Make a field dependent](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-administration/t_MakingAFieldDependent.md).\n\nYou can use the **sysparm\\_dependent\\_value** query parameter to override the selection from the dependency parent field. For an example, see the query parameter listing below.\n\n**Note:** You can reference all sysparm query parameters using either their full name or their shortened name \\(without the **sysparm\\_** prefix\\). For example, for **sysparm\\_limit** you can also use **limit**.\n\n### URL format\n\nVersioned URL: `/api/sn_customerservice/{api_version}/case/{id}/field_values/{field_name}`\n\nDefault URL: `/api/sn_customerservice/case/{id}/field_values/{field_name}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nfield\\_name\n\n</td><td>\n\nName of a choice or reference field.Data type: String\n\nTable: Case \\[sn\\_customerservice\\_case\\]\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of a record to use when evaluating reference qualifiers.Data type: String\n\nTable: Case \\[sn\\_customerservice\\_case\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_dependent\\_value\n\n</td><td id=\"case-sysparm-dependent-value-entry\">\n\nValue to select in the Case \\[sn\\_customerservice\\_case\\] table choice field that the requested field is dependent on. Use only when requesting a choice field that is dependent on another field.As an example, suppose you create a custom **Channel Instance** choice field in the Case table which is dependent on the default **Channel** choice field. When **sysparm\\_dependent\\_value** is not specified, this endpoint returns the full set of values for your custom field. To instead return only the subset of custom field values that are available when the Phone CSM channel is chosen from the **Channel** field, specify:\n\n`sysparm_dependent_value=Phone`\n\nData type: String\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number of records to return. Unusually large **sysparm\\_limit** values can impact system performance. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. Data type: Number\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td>\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDo not pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_query\n\n</td><td>\n\nEncoded query used to filter the result set. Queries defined using this parameter are appended to any encoded queries produced by reference qualifiers.For example:\n\n`(sysparm_query=caller_id=javascript:gs.getUserID()^active=true)`\n\nThe encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in **sysparm\\_query**. For example, `sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory` filters all active records and orders the results in ascending order by number first, and then in descending order by category.\n\nIf part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property **glide.invalid\\_query.returns\\_no\\_rows**. Set this property to true to return no rows on an invalid query.\n\n**Note:** The **glide.invalid\\_query.returns\\_no\\_rows** property controls the behavior of all queries across the instance, such as in lists, scripts \\(GlideRecord.query\\(\\)\\), and web service APIs.\n\nData type: String\n\n</td></tr><tr><td>\n\nsysparm\\_reference\\_field\\_columns\n\n</td><td id=\"sysparm_reference_field_columns-entry-case\">\n\nComma-separated list of column names, from the table of the specified reference field, to return in the response. For example, if Contact is the specified reference field, you would include a list of all the fields in the Contact table to return.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_ref\\_qual\\_input\n\n</td><td id=\"case-sysparm-ref-qual-input-entry\">\n\nEncoded set of field values representing a current object to pass to reference qualifiers that use JavaScript functions. Use only when requesting a reference field.For example, when requesting values from the **Asset** field, you can set this query parameter value to return only assets belonging to the specified product instead of assets belonging to the product associated with the specified case:\n\n`sysparm_ref_qual_input=product=5d1b7bb053401010dc25ddeeff7b129d`\n\nData type: String\n\nSyntax: `{field1}={value1}^{field2}={value2}[…]`\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table><table class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nLink\n\n</td><td>\n\nREST response data can be split into multiple result sets. Where applicable, the response header contains different links for the first set, previous set, next set, and the last set of records.For example:\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel=\"next\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel=\"prev\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=0&sysparm_limit=1000>;rel=\"first\"`,\n\n`https://<instance name>.service-now.com/api/now/table/cmdb_ci?sysparm_offset=2780&sysparm_limit=1000>;rel=\"last\"`\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nList of values for the requested field.Data type: Array of Objects\n\n```\n\"result\": [\n  {\n    \"label\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.label\n\n</td><td>\n\nDisplay value for the field value.Data type: String\n\n</td></tr><tr><td>\n\nresult.value\n\n</td><td>\n\nField value.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nRetrieve the contact reference field value for an existing case:\n\n```\ncurl 'https://instance.servicenow.com/api/sn_customerservice/case/f352dc9387632300d6b0a7da0acb0b60/field_values/contact' \\\n--request GET \\\n--header 'Accept: application/json' \\\n--user 'username':'password'\n```\n\nThe response displays the label and value for the contact assigned to the specified case:\n\n```\n{\n  \"result\": [\n    {\n      \"label\": \"Alex Linde\",\n      \"value\": \"60beb5e7d7600200e5982cf65e6103ad\"\n    }\n  ]\n}\n```\n\n## Case - GET /sn\\_customerservice/case/\\{id\\}\n\nRetrieves the specified Customer Service Management \\(CSM\\) case.\n\nTo use this endpoint, users must have the csm\\_ws\\_integration, sn\\_customerservice.customer, or sn\\_customerservice.consumer role.\n\n**Note:** You can reference all sysparm query parameters using either their full name or their shortened name \\(without the **sysparm\\_** prefix\\). For example, for **sysparm\\_limit** you can also use **limit**.\n\n### URL format\n\nVersioned URL: `/api/sn_customerservice/{api_version}/case/{id}`\n\nDefault URL: `/api/sn_customerservice/case/{id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id or case number for the case to retrieve. Results will be unpredictable if a specified case number is shared by two or more cases.Data type: String\n\nTable: Case \\[sn\\_customerservice\\_case\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_display\\_value\n\n</td><td id=\"entry-sysparm_display_value-REST_API\">\n\nDetermines the type of data returned, either the actual values from the database or the display values of the fields. Display values are manipulated based on the actual value in the database and user or system settings and preferences.If returning display values, the value that is returned is dependent on the field type.\n\n-   Choice fields: The database value may be a number, but the display value will be more descriptive.\n-   Date fields: The database value is in UTC format, while the display value is based on the user's time zone.\n-   Encrypted text: The database value is encrypted, while the displayed value is unencrypted based on the user's encryption context.\n-   Reference fields: The database value is sys\\_id, but the display value is a display field of the referenced record.\n\nData type: String\n\nValid values:\n\n-   true: Returns the display values for all fields.\n-   false: Returns the actual values from the database.\n-   all: Returns both actual and display values.\n\nDefault: false\n\n**Note:** There is no preferred method for setting this parameter. However, specifying the display value may cause performance issues since it is not reading directly from the database and may include referencing other fields and records. For more information on display values and actual values, see [Table API FAQs \\(KB0534905\\).](https://support.servicenow.com/kb_view.do?sysparm_article=KB0534905)\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nIndicates that the request is invalid. Could be due to one of the following reasons:-   Requested case does not exist.\n-   User does not have access to the case.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nElement\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td id=\"casetable-account-entry\">\n\nSys\\_id of the account record associated with the case.\n\nData type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\naccount\n\n</td><td>\n\nAccount details.Data type: Object\n\n```\n\"account\": {\n  \"account_code\": \"String\",\n  \"account_parent\": \"String\",\n  \"account_path\": \"String\",\n  \"active_escalation\": \"String\",\n  \"apple_icon\": Image,\n  \"banner_image\": Image,\n  \"banner_image_light\": Image,\n  \"banner_text\": \"String\",\n  \"city\": \"String\",\n  \"contact\": \"String\",\n  \"country\": \"String\",\n  \"customer\": \"String\",\n  \"discount\": \"String\",\n  \"fax_phone\": \"String\",\n  \"fiscal_year\": \"String\",\n  \"lat_long_error\": \"String\",\n  \"latitude\": \"String\",\n  \"longitude\": \"String\",\n  \"market_cap\": \"String\",\n  \"name\": \"String\",\n  \"notes\": \"String\",\n  \"num_employees\": Number,\n  \"number\": \"String\",\n  \"parent\": \"String\",\n  \"partner\": \"String\",\n  \"phone\": \"String\",\n  \"primary\": Boolean,\n  \"primary_contact\": \"String\",\n  \"profits\": Number,\n  \"publicly_traded\": Boolean,\n  \"rank_tier\": \"String\",\n  \"registration_code\": \"String\",\n  \"revenue_per_year\": Number,\n  \"state\": \"String\",\n  \"stock_price\": \"String\",\n  \"stock_symbol\": \"String\",\n  \"street\": \"String\",\n  \"sys_class_name\": \"String\",\n  \"sys_created_by\": \"String\",\n  \"sys_created_on\": \"String\",\n  \"sys_id\": \"String\",\n  \"sys_mod_count\": Number,\n  \"sys_updated_by\": \"String\",\n  \"sys_updated_on\": \"String\",\n  \"theme\": \"String\",\n  \"vendor\": Boolean,\n  \"vendor_manager\": \"String\",\n  \"vendor_type\": \"String\",\n  \"website\": \"String\",\n  \"zip\": \"String\n}\n```\n\n</td></tr><tr><td>\n\naccount.account\\_code\n\n</td><td>\n\nUnique combination of values that an application uses to identify budget forecasts and budget plans.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\naccount.account\\_parent\n\n</td><td>\n\nSys\\_id of the parent account of this account. Located in the Account \\[customer\\_account\\] table.Data type: String\n\n</td></tr><tr><td>\n\naccount.account\\_path\n\n</td><td>\n\nPath from the parent to the child accounts in the account hierarchy.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\naccount.active\\_escalation\n\n</td><td>\n\nSys\\_id of the active escalation associated with the account.Data type: String\n\nTable: Escalation \\[sn\\_customerservice\\_escalation\\]\n\n</td></tr><tr><td>\n\naccount.apple\\_icon\n\n</td><td>\n\nIcon for iPhone home page bookmarks.Data type: Image\n\n</td></tr><tr><td>\n\naccount.banner\\_image\n\n</td><td>\n\nBanner image that appears on the customer portal.Data type: Image\n\n</td></tr><tr><td>\n\naccount.banner\\_image\\_light\n\n</td><td>\n\nSmall banner image.Data type: Image\n\n</td></tr><tr><td>\n\naccount.banner\\_text\n\n</td><td>\n\nBanner text that appears on the customer portal.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\naccount.city\n\n</td><td>\n\nCity in which the company that is associated with this account resides.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\naccount.contact\n\n</td><td>\n\nSys\\_id of a contact record associated with this account.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\naccount.country\n\n</td><td>\n\nCountry in which the company that is associated with this account resides.Data type: String\n\nMaximum length: 40\n\nDefault: USA\n\n</td></tr><tr><td>\n\naccount.customer\n\n</td><td>\n\nFlag that indicates whether the account is a customer account, as opposed to a partner account.Possible values:\n\n-   true: Customer account\n-   false: Partner account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\naccount.discount\n\n</td><td>\n\nDiscount given to the account on purchases.Data type: Number\n\nMaximum length: 15\n\n</td></tr><tr><td>\n\naccount.fax\\_phone\n\n</td><td>\n\nPrimary fax phone number for the company associated with this account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.fiscal\\_year\n\n</td><td>\n\nFiscal year for the company associated with the account.Data type: String\n\n</td></tr><tr><td>\n\naccount.lat\\_long\\_error\n\n</td><td>\n\nDifference in the actual location as compared to latitude and longitude information.Data type: String\n\nMaximum length: 1,000\n\n</td></tr><tr><td>\n\naccount.latitude\n\n</td><td>\n\nLatitude of the company associated with this account.Data type: Number \\(floating point number\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.longitude\n\n</td><td>\n\nLongitude of the company associated with this account.Data type: Number \\(floating point number\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.manufacturer\n\n</td><td>\n\nFlag that indicates whether the company associated with this account manufactures goods.Possible values:\n\n-   true: Manufactures goods\n-   false: Does not manufacture goods\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\naccount.market\\_cap\n\n</td><td>\n\nMarket value of the associated company's publicly traded stock shares.Data type: Number \\(currency\\)\n\nMaximum length: 20\n\n</td></tr><tr><td>\n\naccount.name\n\n</td><td>\n\nName of the company associated with this account.Data type: String\n\nMaximum length: 80\n\n</td></tr><tr><td>\n\naccount.notes\n\n</td><td>\n\nAdditional information about the company.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\naccount.num\\_employees\n\n</td><td>\n\nNumber of people employed by the company.Data type: Number \\(Integer\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.number\n\n</td><td>\n\nNumber that identifies this account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.parent\n\n</td><td>\n\nSys\\_id of the parent account of this account.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr><td>\n\naccount.partner\n\n</td><td>\n\nFlag that indicates whether the account is a partner account or a customer account.Possible values:\n\n-   true: Partner account\n-   false: Customer account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\naccount.phone\n\n</td><td>\n\nPrimary phone number for the company.Data type: String\n\n</td></tr><tr><td>\n\naccount.primary\n\n</td><td>\n\nFlag that indicates whether this is a primary account.Possible values:\n\n-   true: Primary account\n-   false: Secondary account\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\naccount.primary\\_contact\n\n</td><td>\n\nSys\\_id of the primary contact for the account.Data type: String\n\nTable: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\naccount.profits\n\n</td><td>\n\nProfit information entered for this account.Data type: Number \\(Currency\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.publicly\\_traded\n\n</td><td>\n\nFlag that indicates whether the company associated with this account is publicly traded on the stock exchange.Possible values:\n\n-   true: Publicly traded\n-   false: Private company\n\nData type: Boolean\n\n</td></tr><tr><td>\n\naccount.rank\\_tier\n\n</td><td>\n\nType of account.Possible values:\n\n-   blacklist\n-   other\n-   strategic\n-   tactical\n-   valued\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.registration\\_code\n\n</td><td>\n\nUnique code that customers use when requesting a login on the customer portal. This code provides a method for validating the customer on the company before granting access.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.revenue\\_per\\_year\n\n</td><td>\n\nRevenue produced by the company associated with this account.Data type: Number \\(Currency\\)\n\nMaximum length: 20\n\n</td></tr><tr><td>\n\naccount.state\n\n</td><td>\n\nState in which the company resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.stock\\_price\n\n</td><td>\n\nPrice of the company stock.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.stock\\_symbol\n\n</td><td>\n\nStock symbol of the company.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.street\n\n</td><td>\n\nStreet address of the company.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\naccount.sys\\_class\\_name\n\n</td><td>\n\nTable that contains the associated account record.Data type: String\n\n</td></tr><tr><td>\n\naccount.sys\\_created\\_by\n\n</td><td>\n\nUser that originally created the account.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.sys\\_created\\_on\n\n</td><td>\n\nDate and time that the account was originally created.Data type: String\n\n</td></tr><tr><td>\n\naccount.sys\\_id\n\n</td><td>\n\nSys\\_id for the account record.Data type: String\n\n</td></tr><tr><td>\n\naccount.sys\\_mod\\_count\n\n</td><td>\n\nNumber of times the account information has been updated.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\naccount.sys\\_updated\\_by\n\n</td><td>\n\nUser that last modified the account information.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\naccount.sys\\_updated\\_on\n\n</td><td>\n\nDate and time the account information was last updated.Data type: String\n\n</td></tr><tr><td>\n\naccount.theme\n\n</td><td>\n\nSys\\_id of the customer portal theme used by this account.Data type: String\n\nTable: Theme \\[sys\\_ui\\_theme\\]\n\n</td></tr><tr><td>\n\naccount.vendor\n\n</td><td>\n\nFlag that indicates whether the company associated with this account is a vendor.Possible values:\n\n-   true: Vendor\n-   false: Not a vendor\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\naccount.vendor\\_manager\n\n</td><td>\n\nList of sys\\_ids of the vendor managers for the account.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\naccount.vendor\\_type\n\n</td><td>\n\nList of sys\\_ids of the type of vendor such as, applications, hardware, services, or software.Data type: String\n\nTable: Vendor Type \\[vendor\\_type\\]\n\n</td></tr><tr><td>\n\naccount.website\n\n</td><td>\n\nURL of the website for the company.Data type: String\n\nMaximum length: 1,024\n\n</td></tr><tr><td>\n\naccount.zip\n\n</td><td>\n\nZip code of the company.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nactive\n\n</td><td id=\"casetable-active-entry\">\n\nFlag that indicates whether the case is open and active.Possible values:\n\n-   true: Case is active\n-   false: Case is closed\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\nactive\\_account\\_escalation\n\n</td><td id=\"casetable-active_account_escalation-entry\">\n\nSys\\_id of the active account escalation record associated with the case.Data type: String\n\nTable: Escalation \\[sn\\_customerservice\\_escalation\\]\n\n</td></tr><tr><td>\n\nactive\\_escalation\n\n</td><td id=\"casetable-active_escalation-entry\">\n\nSys\\_id of the active escalation record associated with the case.Data type: String\n\nTable: Escalation \\[sn\\_customerservice\\_escalation\\]\n\n</td></tr><tr><td>\n\nactivity\\_due\n\n</td><td id=\"casetable-activity_due-entry\">\n\nDate for which the associated case is expected to be completed.Data type: String\n\n</td></tr><tr><td>\n\nadditional\\_assignee\\_list\n\n</td><td id=\"casetable-additional_assignee_list-entry\">\n\nList of the sys\\_ids of the additional persons \\(other than the primary assignee\\) that have been assigned to the account.Data type: Array\n\nMaximum: 4,000\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\napproval\n\n</td><td id=\"casetable-approval-entry\">\n\nString that describes the type of approval required.Possible values:\n\n-   approved\n-   cancelled\n-   duplicate\n-   not\\_required\n-   not requested\n-   rejected\n-   requested\n\nData type: String\n\nMaximum characters: 40\n\nDefault: not requested\n\n</td></tr><tr><td>\n\napproval\\_history\n\n</td><td id=\"casetable-approval_history-entry\">\n\nList of all approvals associated with the case.Data type: String\n\nMaximum characters: 4,000\n\n</td></tr><tr><td>\n\napproval\\_set\n\n</td><td id=\"casetable-approval_set-entry\">\n\nDate and time that the associated action was approved.Data type: String\n\n</td></tr><tr><td>\n\nasset\n\n</td><td id=\"casetable-asset-entry\">\n\nSys\\_id of the asset record associated with the case.Data type: String\n\nTable: Asset \\[alm\\_asset\\]\n\n</td></tr><tr><td>\n\nassigned\\_to\n\n</td><td id=\"casetable-assigned_to-entry\">\n\nSys\\_id of the person assigned to the case.\n\nTable: User \\[sys\\_user\\]\n\n Data type: String\n\n</td></tr><tr><td>\n\nassignment\\_group\n\n</td><td id=\"casetable-aassignment_group-entry\">\n\nSys\\_id of the customer service agent group assigned to the case.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nbusiness\\_duration\n\n</td><td id=\"casetable-business_duration-entry\">\n\nLength in calendar work hours, work days, and work weeks that it took to complete the case.Data type: String\n\n</td></tr><tr><td>\n\nbusiness\\_impact\n\n</td><td id=\"casetable-business_impact-entry\">\n\nImpact of the issue on the associated customer.Data type: String\n\nMaximum characters: 4,000\n\n</td></tr><tr><td>\n\nbusiness\\_service\n\n</td><td id=\"casetable-business_service-entry\">\n\nSys\\_id of the service record associated with the case.Data type: String\n\nTable: Service \\[cmdb\\_ci\\_service\\]\n\n</td></tr><tr><td>\n\ncase\n\n</td><td id=\"casetable-case-entry\">\n\nCase short description and case number.Data type: String\n\nMaximum length: 300\n\n</td></tr><tr><td>\n\ncase\\_report\n\n</td><td id=\"casetable-case_report-entry\">\n\nSys\\_id of the associated case report.Data type: String\n\nTable: Case Report \\[sn\\_customerservice\\_case\\_report\\]\n\n</td></tr><tr><td>\n\ncategory\n\n</td><td id=\"casetable-category-entry\">\n\nCase category.Possible values:\n\n-   0: Question\n-   1: Issue\n-   2: Feature\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\ncause\n\n</td><td id=\"casetable-cause-entry\">\n\nDetails about the cause of the problem.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncaused\\_by\n\n</td><td id=\"casetable-caused_by-entry\">\n\nSys\\_id of the change request that caused the case to be created.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr><tr><td>\n\nchange\n\n</td><td id=\"casetable-change-entry\">\n\nSys\\_id of the change request that caused the case to be created.Data type: String\n\nTable: Change Request \\[change\\_request\\]\n\n</td></tr><tr><td>\n\nchild\\_case\\_creation\\_progress\n\n</td><td id=\"casetable-child_case_creation_progress-entry\">\n\nFlag that indicates whether the case is a child case that was created from a major case.Possible values:\n\n-   true: Child case created from a major case\n-   false: Not a child case\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nclosed\\_at\n\n</td><td id=\"casetable-closed_at-entry\">\n\nDate and time that the case was closed.Data type: String\n\n</td></tr><tr><td>\n\nclosed\\_by\n\n</td><td id=\"casetable-closed_by-entry\">\n\nSys\\_id of the user that closed the case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nclose\\_notes\n\n</td><td id=\"casetable-close_notes-entry\">\n\nNotes made when the case was closed.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncmdb\\_ci\n\n</td><td id=\"casetable-cmdb_ci-entry\">\n\nSys\\_id of the configuration item associated with the case.Data type: String\n\nTable: Configuration Item \\[cmdb\\_ci\\]\n\n</td></tr><tr><td>\n\ncomments\n\n</td><td id=\"casetable-comments-entry\">\n\nAdditional comments about the case.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncomments\\_and\\_work\\_notes\n\n</td><td id=\"casetable-comments_and_work_notes-entry\">\n\nComments and work notes entered for the case.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"casetable-company-entry\">\n\nSys\\_id of the company associated with the case.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td id=\"casetable-consumer-entry\">\n\nBusiness-to-consumer cases only. Sys\\_id of the person to contact with regard to this case.Data type: String\n\nTable: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td>\n\nArray of parameters for business-to-consumer cases.\n\n</td></tr><tr><td>\n\nconsumer.active\n\n</td><td>\n\nFlag that indicates whether the consumer is active.Possible values:\n\n-   true: Consumer active\n-   false: Consumer de-activated\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\nconsumer.business\\_phone\n\n</td><td>\n\nBusiness phone number of the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.city\n\n</td><td>\n\nCity in which the consumer resides.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\nconsumer.country\n\n</td><td>\n\nCountry in which the consumer resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.date\\_format\n\n</td><td>\n\nFormat in which to display dates.Valid values:\n\n-   dd-mm-yyyy\n-   dd/mm/yyyy\n-   dd.mm.yyyy\n-   mm-dd-yyyy\n-   yyyy-mm-dd\n\nData type: String\n\nMaximum length: 40\n\nDefault: blank \\(system date format\\)\n\n</td></tr><tr><td>\n\nconsumer.email\n\n</td><td>\n\nEmail address of the consumer.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\nconsumer.fax\n\n</td><td>\n\nFax number of the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.first\\_name\n\n</td><td>\n\nConsumer first name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nconsumer.gender\n\n</td><td>\n\nGender of the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.home\\_phone\n\n</td><td>\n\nHome phone number of the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.household\n\n</td><td>\n\nSys\\_id of the record that describes the household characteristics.Data type: String\n\nTable: Household \\[csm\\_household\\]\n\n</td></tr><tr><td>\n\nconsumer.last\\_name\n\n</td><td>\n\nConsumer last name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nconsumer.middle\\_name\n\n</td><td>\n\nConsumer middle name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nconsumer.mobile\\_phone\n\n</td><td>\n\nConsumer mobile phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.name\n\n</td><td>\n\nConsumer full name; first\\_name+middle\\_name+last\\_name.Data type: String\n\nMaximum length: 152\n\n</td></tr><tr><td>\n\nconsumer.notes\n\n</td><td>\n\nNotes on consumer.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\nconsumer.notification\n\n</td><td>\n\nIndicates whether the consumer should receive notifications.Valid values:\n\n-   1: Disabled\n-   2: Enabled\n\nData type: Number \\(Integer\\)\n\nMaximum length: 40\n\nDefault: 2\n\n</td></tr><tr><td>\n\nconsumer.number\n\n</td><td>\n\nUnique number associated with the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.photo\n\n</td><td>\n\nPhoto of the consumer.Data type: Image\n\n</td></tr><tr><td>\n\nconsumer.preferred\\_language\n\n</td><td>\n\nConsumer primary language.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\nconsumer.prefix\n\n</td><td>\n\nConsumer name prefix such as, Dr., Mr., Mrs., or Ms.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.primary\n\n</td><td>\n\nFlag that indicates whether this is the primary consumer.Possible values:\n\n-   true: Primary consumer\n-   false: Not primary consumer\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nconsumer.state\n\n</td><td>\n\nState in which the consumer resides.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\nconsumer.street\n\n</td><td>\n\nConsumer street address.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\nconsumer.suffix\n\n</td><td>\n\nConsumer name suffix such as Jr., Sr., or II.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.sys\\_created\\_by\n\n</td><td>\n\nUser that created the consumer record.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.sys\\_created\\_on\n\n</td><td>\n\nDate and time the consumer record was originally created.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.sys\\_domain\n\n</td><td>\n\nServiceNow domain in which the consumer information resides.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.sys\\_id\n\n</td><td>\n\nUnique identifier for the consumer.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.sys\\_mod\\_count\n\n</td><td>\n\nNumber of times that the associated consumer information has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nconsumer.sys\\_updated\\_by\n\n</td><td>\n\nUser that last updated the consumer information.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.sys\\_updated\\_on\n\n</td><td>\n\nDate and time when the consumer information was last updated.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.time\\_format\n\n</td><td>\n\nFormat in which to display time.Valid values:\n\n-   hh.mm.ss a: hh.mm.ss \\(12 hour\\)\n-   hh:mm:ss a: hh:mm:ss \\(12 hour\\)\n-   HH.mm.ss: hh.mm.ss \\(24 hour\\)\n-   HH:mm:ss: hh:mm:ss \\(24 hour\\)\n\nData type: String\n\nMaximum length: 40\n\nDefault: blank \\(system time format\\)\n\n</td></tr><tr><td>\n\nconsumer.time\\_zone\n\n</td><td>\n\nConsumer time zone, such as Canada/Central or US/Eastern.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nconsumer.title\n\n</td><td>\n\nConsumer business title such as Manager, Software Developer, or Contractor.Data type: String\n\nMaximum length: 60\n\n</td></tr><tr><td>\n\nconsumer.user\n\n</td><td>\n\nSys\\_id of the consumer user. Data type: String\n\nTable: Consumer User \\[csm\\_consumer\\_user\\]\n\n</td></tr><tr><td>\n\nconsumer.zip\n\n</td><td>\n\nConsumer zip code. Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td id=\"casetable-contact-entry\">\n\nBusiness-to-business based cases only. Sys\\_id of the person to contact regarding this case.Data type: String\n\nTable: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td>\n\nArray of contact parameters for business-to-business cases.\n\n</td></tr><tr><td>\n\ncontact.account\n\n</td><td>\n\nSys\\_id of the account record to which the contact is associated.Data type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\ncontact.active\n\n</td><td>\n\nFlag that indicates whether the contact is active within the system.Possible values:\n\n-   true: Contact is active\n-   false: Contact is inactive\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\ncontact.agent\\_status\n\n</td><td>\n\nStatus of the agent.Possible values:\n\n-   Off work\n-   On break\n-   On route\n-   On site\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.building\n\n</td><td>\n\nSys\\_id of the record that describes the building in which the contact resides.Data type: String\n\nTable: Building \\[cmn\\_building\\]\n\n</td></tr><tr><td>\n\ncontact.calendar\\_integration\n\n</td><td>\n\nCalendar application that the contact uses.1: Outlook\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\ncontact.city\n\n</td><td>\n\nCity in which the contact resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.company\n\n</td><td>\n\nSys\\_id of the company record to which the contact is associated.Data type: String\n\nTable: Company \\[core\\_company\\]\n\n</td></tr><tr><td>\n\ncontact.cost\\_center\n\n</td><td>\n\nSys\\_id of the cost center associated with the contact.Data type: String\n\nTable: Cost Center \\[cmn\\_cost\\_center\\]\n\n</td></tr><tr><td>\n\ncontact.country\n\n</td><td>\n\nCountry code of the country in which the contact resides.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\ncontact.date\\_format\n\n</td><td>\n\nFormat in which to display dates to contacts.Valid values:\n\n-   dd/mm/yyyy\n-   dd-mm-yyyy\n-   dd.mm.yyyy\n-   mm-dd-yyyy\n-   yyyy-mm-dd\n\nData type: String\n\nMaximum length: 40\n\nDefault: blank \\(system date format\\)\n\n</td></tr><tr><td>\n\ncontact.default\\_perspective\n\n</td><td>\n\nSys\\_id of the default perspective for the contact.Data type: String\n\nTable: Menu List \\[sys\\_perspective\\]\n\n</td></tr><tr><td>\n\ncontact.department\n\n</td><td>\n\nSys\\_id of the department associated with the contact.Data type: String\n\nTable: Department \\[cmn\\_department\\]\n\n</td></tr><tr><td>\n\ncontact.edu\\_status\n\n</td><td>\n\nEducation status of the associated contact.Data type: String\n\nMaximum length: 40\n\nDefault: faculty\n\n</td></tr><tr><td>\n\ncontact.email\n\n</td><td>\n\nContact email address.Data type: String\n\n</td></tr><tr><td>\n\ncontact.employee\\_number\n\n</td><td>\n\nContact employee number.Data type: String\n\n</td></tr><tr><td>\n\ncontact.enable\\_multifactor\\_authn\n\n</td><td>\n\nFlag that indicates whether multifactor authorization is required for the contact to log in to the service portal.Possible values:\n\n-   true: Multifactor authorization enabled\n-   false: Multifactor authorization disabled\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncontact.failed\\_attempts\n\n</td><td>\n\nNumber of failed log in attempts.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\ncontact.first\\_name\n\n</td><td>\n\nContact first name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\ncontact.gender\n\n</td><td>\n\nContact gender.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.geolocation\\_tracked\n\n</td><td>\n\nFlag that indicates whether the contact location is obtained through geotracking.Possible values:\n\n-   true: Contact location obtained through geotracking\n-   false: Contact location not obtained through geotracking\n\nData type: Boolean\n\nDefault value: false\n\n</td></tr><tr><td>\n\ncontact.home\\_phone\n\n</td><td>\n\nContact home phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.internal\\_integration\\_user\n\n</td><td>\n\nFlag that indicates whether the contact is an internal integration user.Possible values:\n\n-   true: Internal integration user\n-   false: Other type of user\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncontact.introduction\n\n</td><td>\n\nIntroductionData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.last\\_login\n\n</td><td>\n\nDate on which the contact last logged into the system.Data type: String \\(Date\\)\n\n</td></tr><tr><td>\n\ncontact.last\\_login\\_device\n\n</td><td>\n\nDevice the consumer used the last time they logged in to the system.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.last\\_login\\_time\n\n</td><td>\n\nDate and time the contact logged in to the system.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\ncontact.last\\_name\n\n</td><td>\n\nContact last name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\ncontact.last\\_position\\_update\n\n</td><td>\n\nDate and time the last position was updated.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\ncontact.latitude\n\n</td><td>\n\nLatitude coordinate of the contact.Data type: Number \\(Floating point\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.ldap\\_server\n\n</td><td>\n\nSys\\_id of the LDAP server used by the contact to last log in to the system. Data type: String\n\nTable: LDAP Server \\[ldap\\_server\\_config\\]\n\n</td></tr><tr><td>\n\ncontact.location\n\n</td><td>\n\nSys\\_id of the record that describes the location of the contactData type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\ncontact.locked\\_out\n\n</td><td>\n\nFlag that indicates if the contact is locked-out.Possible values:\n\n-   true: Contact locked-out\n-   false: Contact not locked-out\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncontact.longitude\n\n</td><td>\n\nLongitude coordinate of the contact.Data type: Number \\(Floating point\\)\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.manager\n\n</td><td>\n\nSys\\_id of the record that describes the direct supervisor of the contact.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\ncontact.middle\\_name\n\n</td><td>\n\nContact middle name.Data type: Number \\(Floating point\\)\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\ncontact.mobile\\_phone\n\n</td><td>\n\nContact mobile phone number.Data type: String\n\n Maximum length: 40\n\n</td></tr><tr><td>\n\ncontact.name\n\n</td><td>\n\nContact full name.Data type: String\n\nMaximum length: 151\n\n</td></tr><tr><td>\n\ncontact.notification\n\n</td><td>\n\nIndicates whether the contact should receive notifications.Valid values:\n\n-   1: Disabled\n-   2: Enabled\n\nData type: Number \\(Integer\\)\n\nDefault: 2\n\n</td></tr><tr><td>\n\ncontact.on\\_schedule\n\n</td><td>\n\nIndicates the timeliness of dispatched service personnel.Valid values:\n\n-   Ahead: Ahead of schedule.\n-   behind\\_less30: Behind schedule, but less than 30 minutes.\n-   behind\\_30to60: Behind schedule between 30 and 60 minutes.\n-   behind\\_more60: Behind schedule more than 60 minutes.\n-   on\\_time: On schedule.\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.phone\n\n</td><td>\n\nContact business phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.photo\n\n</td><td>\n\nPhoto image of the contact. Data type: String\n\n</td></tr><tr><td>\n\ncontact.preferred\\_language\n\n</td><td>\n\nCountry code of the contact primary language.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\ncontact.roles\n\n</td><td>\n\nList of user roles associated with the contact.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.schedule\n\n</td><td>\n\nSys\\_id of the record that describes the work schedule for the associated contact.Data type: String\n\nTable: Schedule \\[cmn\\_schedule\\]\n\n</td></tr><tr><td>\n\ncontact.source\n\n</td><td>\n\nSource of the contact.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\ncontact.state\n\n</td><td>\n\nState in which the contact resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.street\n\n</td><td>\n\nContact street address.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\ncontact.sys\\_class\\_name\n\n</td><td>\n\nTable that contains the contact record. Data type: String\n\nMaximum length: 80\n\n</td></tr><tr><td>\n\ncontact.sys\\_created\\_by\n\n</td><td>\n\nUser that originally created the associated contact record.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.sys\\_created\\_on\n\n</td><td>\n\nData and time the associated contact was originally created.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\ncontact.sys\\_domain\n\n</td><td>\n\nServiceNow instance domain of the associated contact record.Data type: String\n\n</td></tr><tr><td>\n\ncontact.sys\\_domain\\_path\n\n</td><td>\n\nContact record domain path.Data type: String\n\nMaximum length: 255\n\nDefault: / \\(global\\)\n\n</td></tr><tr><td>\n\ncontact.sys\\_id\n\n</td><td>\n\nUnique identifier for the associated contact record.Data type: String\n\n</td></tr><tr><td>\n\ncontact.sys\\_mod\\_count\n\n</td><td>\n\nNumber of times that the associated contact record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\ncontact.sys\\_tags\n\n</td><td>\n\nSystem tags for the content.Data type: String\n\n</td></tr><tr><td>\n\ncontact.sys\\_updated\\_by\n\n</td><td>\n\nUser that last updated the associated contact information.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.sys\\_updated\\_on\n\n</td><td>\n\nData and time the associated contact information was updated.Data type: String \\(Date/time\\)\n\n</td></tr><tr><td>\n\ncontact.time\\_format\n\n</td><td>\n\nFormat in which to display time.Valid values:\n\n-   hh.mm.ss a: hh.mm.ss \\(12 hour\\)\n-   hh:mm:ss a: hh:mm:ss \\(12 hour\\)\n-   HH.mm.ss: hh.mm.ss \\(24 hour\\)\n-   HH:mm:ss: hh:mm:ss \\(24 hour\\)\n\nData type: String\n\nMaximum length: 40\n\nDefault: Blank \\(system time format\\)\n\n</td></tr><tr><td>\n\ncontact.time\\_sheet\\_policy\n\n</td><td>\n\nSys\\_id of the record that contains the time sheet policy for the associated contact.Data type: String\n\nTable: Time Sheet Policy \\[time\\_sheet\\_policy\\]\n\n</td></tr><tr><td>\n\ncontact.time\\_zone\n\n</td><td>\n\nTime zone in which the contact resides, such as Canada/Central or US/Eastern.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.title\n\n</td><td>\n\nContact business title such as Manager, Software Developer, or Contractor.Data type: String\n\nMaximum length: 60\n\n</td></tr><tr><td>\n\ncontact.user\\_name\n\n</td><td>\n\nContact user ID.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact.vip\n\n</td><td>\n\nFlag that indicates whether the associated contact has VIP status.Possible values:\n\n-   true: VIP\n-   false: Not VIP\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncontact.web\\_service\\_access\\_only\n\n</td><td>\n\nFlag that indicates whether the contact can only access services through the web.Possible values:\n\n-   true: Web access only\n-   false: Access through all available methods\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ncontact.zip\n\n</td><td>\n\nContact zip code.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact\\_local\\_time\n\n</td><td id=\"casetable-contact_local_time-entry\">\n\nContact local time.Data type: String\n\nMaximum length: 70\n\n</td></tr><tr><td>\n\ncontact\\_time\\_zone\n\n</td><td id=\"casetable-contact_time_zone-entry\">\n\nTime zone of the contact associated with the case.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontact\\_type\n\n</td><td id=\"casetable-contact_type-entry\">\n\nMethod in which the case was initially reported.Possible values:\n\n-   chat\n-   email\n-   phone\n-   social\n-   web\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\ncontract\n\n</td><td id=\"casetable-contract-entry\">\n\nSys\\_id of the contract associated with the case. This contract contains information about the type of support that is provided to the company associated to the case. A contract can include a company and contact and the specific assets that are covered. A contract can also include multiple service entitlements and SLAs.Data type: String\n\nTable: Contract \\[ast\\_contract\\]\n\n</td></tr><tr><td>\n\ncorrelation\\_display\n\n</td><td id=\"casetable-correlation_display-entry\">\n\nCorrelation display.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ncorrelation\\_id\n\n</td><td id=\"casetable-correlation_id-entry\">\n\nCorrelation identifier.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\ndelivery\\_plan\n\n</td><td id=\"casetable-delivery_plan-entry\">\n\nSys\\_id of the parent execution plan for this case.Data type: String\n\nTable: Execution Plan \\[sc\\_cat\\_item\\_delivery\\_plan\\]\n\n</td></tr><tr><td>\n\ndelivery\\_task\n\n</td><td id=\"casetable-delivery_task-entry\">\n\nSys\\_id of the execution plan task.Data type: String\n\nTable: Execution Plan Task \\[sc\\_cat\\_item\\_delivery\\_task\\]\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td id=\"casetable-description-entry\">\n\nDetailed description of the problem associated with the case. Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\ndue\\_date\n\n</td><td id=\"casetable-due_date-entry\">\n\nDate that the case is due to be closed.Data type: String\n\n</td></tr><tr><td>\n\nentitlement\n\n</td><td id=\"casetable-entitlement-entry\">\n\nSys\\_id of the entitlement record associated with the case. Entitlements define the type of support that a customer receives as well as the supported communication channels. An entitlement can be associated with a product, an asset, an account, or a contract.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nescalation\n\n</td><td id=\"casetable-escalation-entry\">\n\nCurrent escalation level.Possible values:\n\n-   0: Normal\n-   1: Moderate\n-   2: High\n-   3: Overdue\n\nData type: Number \\(Integer\\)\n\nDefault: 0\n\n</td></tr><tr><td>\n\nexpected\\_start\n\n</td><td id=\"casetable-expected_start-entry\">\n\nDate and time when work is scheduled to begin on the case.Data type: String\n\n</td></tr><tr><td>\n\nfirst\\_response\\_time\n\n</td><td id=\"casetable-first_response_time-entry\">\n\nDate and time when the first action was taken on the case.Data type: String\n\n</td></tr><tr><td>\n\nfollow\\_the\\_sun\n\n</td><td id=\"casetable-follow_the_sun-entry\">\n\nFlag that indicates whether the case should be handed-off for global follow-up.If a customer enters additional comments on a Priority 1 - Critical or a Priority 2 - High case, or if the case is escalated, the flag is automatically set to true.\n\nPossible values:\n\n-   true: Case should be handed-off for global follow-up\n-   false: Case shouldn't be handed-off for global follow-up\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nfollow\\_up\n\n</td><td id=\"casetable-follow_up-entry\">\n\nDate and time of the next follow-up action.Data type: String\n\n</td></tr><tr><td>\n\ngroup\\_list\n\n</td><td id=\"casetable-group_list-entry\">\n\nList of sys\\_ids of the group records associated with the case.Data type: Array\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nimpact\n\n</td><td id=\"casetable-impact-entry\">\n\nImpact on customer.Possible values:\n\n-   1: High\n-   2: Medium\n-   3: Low\n\nData type: Number \\(Integer\\)\n\nDefault: 3\n\n</td></tr><tr><td>\n\nknowledge\n\n</td><td id=\"casetable-knowledge-entry\">\n\nFlag that indicates if there is a knowledge base article available for the specified issue.Possible values:\n\n-   true: Knowledge base article is available for this issue\n-   false: Knowledge base article is not available for this issue\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nlocation\n\n</td><td id=\"casetable-location-entry\">\n\nSys\\_id of the record describing the company location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\nmade\\_sla\n\n</td><td id=\"casetable-made_sla-entry\">\n\nFlag that indicates whether the case was resolved in alignment with the associated service level agreement.Possible values:\n\n-   true: Case was resolved in alignment with SLA\n-   false: Case wasn't resolved according to the SLA\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\nmajor\\_case\\_state\n\n</td><td id=\"casetable-major_case_state-entry\">\n\nCurrent state of the major case.Possible values:\n\n-   accepted: Initial state when a manager creates a major case or when a manager promotes a candidate case.\n-   canceled: Case is canceled.\n-   proposed: Initial state when an agent or manager creates or proposes a candidate case.\n-   rejected: Manager rejected candidate case.\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nneeds\\_attention\n\n</td><td id=\"casetable-needs_attention-entry\">\n\nFlag that indicates whether the case needs attention.Possible values:\n\n-   true: Case needs additional attention\n-   false: Case doesn't need additional attention\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nnotes\\_to\\_comments\n\n</td><td id=\"casetable-notes_to_comments-entry\">\n\nFlag that indicates whether to add the resolution notes to the comments.Possible values:\n\n-   true: Resolutions notes, when added, are also added to the comments\n-   false: Resolution notes in comments aren't required\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nnotify\n\n</td><td id=\"casetable-notify-entry\">\n\nMethod to use to notify contact/consumer.Possible values:\n\n-   1: Do not notify\n-   2: Send email\n-   3: Telephone\n\nData type: Number \\(Integer\\)\n\nDefault: 1\n\n</td></tr><tr><td>\n\nnumber\n\n</td><td id=\"casetable-number-entry\">\n\nCase number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nopened\\_at\n\n</td><td id=\"casetable-opened_at-entry\">\n\nDate and time that the case was opened.Data type: String\n\n</td></tr><tr><td>\n\nopened\\_by\n\n</td><td id=\"casetable-opened_by-entry\">\n\nSys\\_id of the person that initially opened the case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\norder\n\n</td><td id=\"casetable-order-entry\">\n\nOrder of the case.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nparent\n\n</td><td id=\"casetable-parent-entry\">\n\nSys\\_id of the parent case to which this case \\(child\\) is associated.Data type: String\n\nTable: Task \\[task\\]\n\n</td></tr><tr><td>\n\npartner\n\n</td><td id=\"casetable-partner-entry\">\n\nSys\\_id of the partner associated with the case.Data type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\npartner\\_contact\n\n</td><td id=\"casetable-partner_contact-entry\">\n\nSys\\_id of the partner contact associated with the case.Data type: String\n\nTable: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\npriority\n\n</td><td id=\"casetable-priority-entry\">\n\nPriority of the case. Possible values:\n\n-   1: Critical\n-   2: High\n-   3: Moderate\n-   4: Low\n\nData type: Number \\(Integer\\)\n\nDefault: 4\n\n</td></tr><tr><td>\n\nprobable\\_cause\n\n</td><td id=\"casetable-probable_cause-entry\">\n\nPossible cause of the issue associated with the case.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\nproblem\n\n</td><td id=\"casetable-problem-entry\">\n\nSys\\_id of the issue that the customer is encountering.Data type: String\n\nTable: Problem \\[problem\\]\n\n</td></tr><tr><td>\n\nproduct\n\n</td><td id=\"casetable-product-entry\">\n\nSys\\_id of the product model of the asset associated to the case. A model is a specific version or configuration of an asset \\(for example, Apple Mac Book Pro\\).Data type: String\n\nTable: Product Model \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\nreassignment\\_count\n\n</td><td id=\"casetable-reassignment_count-entry\">\n\nNumber of times that the case was reassigned to a person that is responsible for moving the case forward.Data type: Number \\(Integer\\)\n\nDefault: 0\n\n</td></tr><tr><td>\n\nrecipient\\_list\n\n</td><td id=\"casetable-recipient_list-entry\">\n\nSys\\_id of the record that contains the list of recipients for communications about this case.Data type: String\n\nTable: Recipients List \\[sn\\_publications\\_recipients\\_list\\]\n\n</td></tr><tr><td>\n\nrejection\\_goto\n\n</td><td id=\"casetable-rejection_goto-entry\">\n\nSys\\_id of the task to execute if the case is rejected.Data type: String\n\nTable: Task \\[task\\]\n\n</td></tr><tr><td>\n\nresolution\\_code\n\n</td><td id=\"casetable-resolution_code-entry\">\n\nResolution state for the case, such as \"Solved - Fixed by Support/Guidance provided\". Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nresolved\\_at\n\n</td><td id=\"casetable-resolved_at-entry\">\n\nDate and time that the case was resolved.Data type: String\n\n</td></tr><tr><td>\n\nresolved\\_by\n\n</td><td id=\"casetable-resolved_by-entry\">\n\nSys\\_id of the person that resolved the case.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr id=\"case-result-response-row\"><td>\n\nresult\n\n</td><td>\n\nList of values for the requested field.Data type: Array of Objects\n\n```\n\"result\": [\n  {\n    \"label\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"case-result-label-response-row\"><td>\n\nresult.label\n\n</td><td>\n\nDisplay value for the field value.Data type: String\n\n</td></tr><tr id=\"case-result-value-response-row\"><td>\n\nresult.value\n\n</td><td>\n\nField value.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td id=\"casetable-short_description-entry\">\n\nConcise description of the case. Data type: String\n\nMaximum length: 160\n\n</td></tr><tr><td>\n\nskills\n\n</td><td id=\"casetable-skills-entry\">\n\nList of the unique identifiers \\(sys\\_id\\) of the skills needed to complete the case.Data type: String\n\nTable: Skill \\[cmn\\_skill\\]\n\n</td></tr><tr><td>\n\nsla\\_due\n\n</td><td id=\"casetable-sla_due-entry\">\n\nDate/time at which the case must be closed based on the associated service level agreement.Data type: String\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile\n\n</td><td>\n\nDetails for a specific social media profile, such as Facebook, Twitter, or YouTube.Data type: Array of Objects\n\n```\n\"sn_app_cs_social_social_profile\": [\n  {\n    \"account\": \"String\",\n    \"channel\": [Array],\n    \"contact\": {Object},\n    \"consumer\": {Object},\n    \"created_on\": \"String\",\n    \"profile\": \"String\",\n    \"profile_url\": \"String\",\n    \"social_id\": \"String\",\n    \"source\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_mod_count\": Number,\n    \"sys_tags\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.account\n\n</td><td>\n\nUnique identifier of the record containing account information for the social media profile. Located in the Account \\[customer\\_account\\] table.Data type: String\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel\n\n</td><td>\n\nDetails on the associated social media profile channel.Data type: Object\n\n```\n\"channel\": {\n  \"name\": \"String\",\n  \"sys_class_name\": \"String\",\n  \"sys_created_by\": \"String\",\n  \"sys_created_on\": \"String\",\n  \"sys_mod_count\": Number,\n  \"sys_package\": \"String\",\n  \"sys_policy\": \"String\",\n  \"sys_scope\": \"String\",\n  \"sys_tags\": \"String\",\n  \"sys_update_name\": \"String\",\n  \"sys_updated_by\": \"String\",\n  \"sys_updated_on\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.name\n\n</td><td>\n\nName of the social media channel.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_class\\_name\n\n</td><td>\n\nTable that contains the social media channel record.Data type: String\n\nMaximum length: 80\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_created\\_by\n\n</td><td>\n\nPerson that created the social media channel.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_created\\_on\n\n</td><td>\n\nDate and time the social media profile was created.Data type: Date/time\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_id\n\n</td><td>\n\nUnique identifier of the associated social media profile channel.Data type: String\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_mod\\_count\n\n</td><td>\n\nNumber of times that information was modified for the associated social media profile channel.Data type: Integer\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_name\n\n</td><td>\n\nSystem name of channel.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_package\n\n</td><td>\n\nUnique identifier of the record that contains information about the package associated with the profile; Package \\[sys\\_package\\] table.Data type: Reference\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_policy\n\n</td><td>\n\nSystem protection policy.Possible values:\n\n-   protected\n-   read\n\nData type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_scope\n\n</td><td>\n\nUnique identifier of the record that contains information about the scope of the social profile; Application \\[sys\\_scope\\] table.Data type: Reference\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_tags\n\n</td><td>\n\nSystem tags associated with the channel.Data type: String\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_update\\_name\n\n</td><td>\n\nName of the person that last updated the social media profile channel.Data type: String\n\nMaximum length: 250\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_updated\\_by\n\n</td><td>\n\nUser that last updated the social media profile channel.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.channel.sys\\_updated\\_on\n\n</td><td>\n\nDate and time the social media profile channel was last updated.Data type: Date/time\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer\n\n</td><td>\n\nFor business-to-consumer cases. Details about the consumer associated with the case.Data type: Object\n\n```\n\"consumer\": {\n  \"active\": Boolean,\n  \"business_phone\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"date_format\": \"String\",\n  \"email\": \"String\",\n  \"fax\": \"String\",\n  \"first_name\": \"String\",\n  \"gender\": \"String\",\n  \"home_phone\": \"String\",\n  \"household\": \"String\",\n  \"last_name\": \"String\",\n  \"middle_name\": \"String\",\n  \"mobile_phone\": \"String\",\n  \"name\": \"String\",\n  \"notes\": \"String\",\n  \"notification\": Number,\n  \"number\": \"String\",\n  \"photo\": Image,\n  \"preferred_language\": \"String\",\n  \"prefix\": \"String\",\n  \"primary\": Boolean,\n  \"state\": \"String\",\n  \"street\": \"String\",\n  \"suffix\": \"String\",\n  \"sys_created_by\": \"String\",\n  \"sys_created_on\": \"String\",\n  \"sys_domain\": \"String\",\n  \"sys_id\": \"String\",\n  \"sys_mod_count\": Number,\n  \"sys_tags\": \"String\",\n  \"sys_updated_by\": \"String\",\n  \"sys_updated_on\": \"String\",\n  \"time_format\": \"String\",\n  \"time_zone\": \"String\",\n  \"title\": \"String\",\n  \"user\": \"String\",\n  \"zip\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.active\n\n</td><td>\n\nFlag that indicates whether the consumer is active.Possible values:\n\n-   true: Consumer active\n-   false: Consumer de-activated\n\nData type: Boolean\n\nDefault: true\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.business\\_phone\n\n</td><td>\n\nBusiness phone number of the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.city\n\n</td><td>\n\nCity in which the consumer resides.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.country\n\n</td><td>\n\nCountry in which the consumer resides.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.date\\_format\n\n</td><td>\n\nFormat in which to display dates.Valid values:\n\n-   dd-mm-yyyy\n-   dd/mm/yyyy\n-   dd.mm.yyyy\n-   mm-dd-yyyy\n-   yyyy-mm-dd\n\nData type: String\n\nMaximum length: 40\n\nDefault: blank \\(system date format\\)\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.email\n\n</td><td>\n\nEmail address of the consumer.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.fax\n\n</td><td>\n\nFax number of the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.first\\_name\n\n</td><td>\n\nConsumer first name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.gender\n\n</td><td>\n\nGender of the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.home\\_phone\n\n</td><td>\n\nHome phone number of the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.household\n\n</td><td>\n\nSys\\_id of the record that describes the household characteristics.Data type: String\n\nTable: Household \\[csm\\_household\\]\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.last\\_name\n\n</td><td>\n\nConsumer last name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.middle\\_name\n\n</td><td>\n\nConsumer middle name.Data type: String\n\nMaximum length: 50\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.mobile\\_phone\n\n</td><td>\n\nConsumer mobile phone number.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.name\n\n</td><td>\n\nConsumer full name; first\\_name+middle\\_name+last\\_name.Data type: String\n\nMaximum length: 152\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.notes\n\n</td><td>\n\nNotes on consumer.Data type: String\n\nMaximum length: 4,000\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.notification\n\n</td><td>\n\nIndicates whether the consumer should receive notifications.Valid values:\n\n-   1: Disabled\n-   2: Enabled\n\nData type: Number \\(Integer\\)\n\nMaximum length: 40\n\nDefault: 2\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.number\n\n</td><td>\n\nUnique number associated with the consumer.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.photo\n\n</td><td>\n\nPhoto of the consumer.Data type: Image\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.preferred\\_language\n\n</td><td>\n\nConsumer primary language.Data type: String\n\nMaximum length: 3\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.prefix\n\n</td><td>\n\nConsumer name prefix such as, Dr., Mr., Mrs., or Ms.Data type: String\n\nMaximum length: 40\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.primary\n\n</td><td>\n\nFlag that indicates whether this is the primary consumer.Possible values:\n\n-   true: Primary consumer\n-   false: Not primary consumer\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.state\n\n</td><td>\n\nState in which the consumer resides.Data type: String\n\nMaximum length: 100\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.street\n\n</td><td>\n\nConsumer street address.Data type: String\n\nMaximum length: 255\n\n</td></tr><tr><td>\n\nsn\\_app\\_cs\\_social\\_social\\_profile.consumer.suffix\n\n</td><td>\n\nConsumer name suffix such as Jr., Sr., or II.Data t
[...]
